Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos.capabilities
Class SOSGetCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.getcapabilities.GetCapabilities
              org.deegree.ogcwebservices.sos.capabilities.SOSGetCapabilities

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class SOSGetCapabilities

extends GetCapabilities

represents a sOs getCapabilities Request

Version:
  $Revision: 18195 $, $Date:20.03.2007$
Author:
  Matthias Kulbe , last edited by: $Author:wanhoff$
See Also:
  Serialized Form

Constructor Summary
`SOSGetCapabilities(String id, String updateSequence, String[] acceptVersions, String[] sections, String[] acceptFormats, Map<String,String> vendoreSpec)`

Method Summary
`static SOSGetCapabilities` | `create(Map<String,String> map)` creates a GetCapabilities Request from a KVP Map
`static SOSGetCapabilities` | `create(String id, Document doc)` creates GetCapabilities Request from XML
`static SOSGetCapabilities` | `create(String id, String[] sections, String[] acceptFormats, String[] acceptVersions, String updateSequence, Map<String,String> vendoreSpec)` creates GetCapabilities Request
`String` | `getServiceName()` fixed 'SOS'

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.GetCapabilities
`getAcceptFormats, getAcceptVersions, getSections, getUpdateSequence`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOSGetCapabilities

    public SOSGetCapabilities(String id,
                              String updateSequence,
                              String[] acceptVersions,
                              String[] sections,
                              String[] acceptFormats,
                              Map<String,String> vendoreSpec)

Parameters:
  `id` -
  `updateSequence` -
  `acceptVersions` -
  `sections` -
  `acceptFormats` -
  `vendoreSpec` -

Method Detail

### create

    public static SOSGetCapabilities create(Map<String,String> map)

  creates a GetCapabilities Request from a KVP Map

  Parameters:
    `map` -
  Returns:
    the new instance

### create

    public static SOSGetCapabilities create(String id,
                                            Document doc)
                                     throws OGCWebServiceException

  creates GetCapabilities Request from XML

  Parameters:
    `id` -
    `doc` -
  Returns:
    the new instance
  Throws:
    `OGCWebServiceException`

### create

    public static SOSGetCapabilities create(String id,
                                            String[] sections,
                                            String[] acceptFormats,
                                            String[] acceptVersions,
                                            String updateSequence,
                                            Map<String,String> vendoreSpec)

  creates GetCapabilities Request

  Parameters:
    `sections` -
    `acceptFormats` -
    `acceptVersions` -
    `id` -
    `updateSequence` -
    `vendoreSpec` -
  Returns:
    the new instance

### getServiceName

    public String getServiceName()

  fixed 'SOS'

  Returns:
    the String "SOS"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org